WordPress.org

Plugin Directory

User Role by BestWebSoft

User Role plugin allows to change wordpress user role capabilities.

What default settings will be restored if I click on the Recover capabilities button?

When the User Role plugin is activated it creates a backup of current roles and capabilities for your main blog and it will be restored if you click on the Recover capabilities button.

When I delete the User Role plugin will the settings of privileges be changed back?

No. They will stay changed unless you click on the Recover capabilities button.

How can I use the other language files with User Role?

Here is an example for Russian language files.

  1. In order to use another language for WordPress it is necessary to set a WordPress version to the required language and in the configuration wp file - wp-config.php in the line define('WPLANG', ''); you should enter define('WPLANG', 'ru_RU');. If everything is done properly the admin panel will be in Russian.

  2. Make sure the files ru_RU.po and ru_RU.mo are present in the plugin (the folder "Languages" in the plugin root).

  3. If there are no such files you should copy the other files from this folder (for example, for German or Italian) and rename them (you should write ru_RU instead of de_DE in both files).

  4. The files can be edited with the help of the program Poedit - http://www.poedit.net/download.php - please download this program, install it, open the file using this program (the required language file) and for each line in English you should write translation in Russian.

  5. If everything is done properly all lines will be in Russian in the admin panel and in the front-end.

I have some problems with the plugin's work. What Information should I provide to receive proper support?

Please make sure that the problem hasn't been discussed yet on our forum (http://support.bestwebsoft.com). If no, please provide the following data along with your problem's description: 1. the link to the page where the problem occurs 2. the name of the plugin and its version. If you are using a pro version - your order number. 3. the version of your WordPress installation 4. copy and paste into the message your system status report. Please read more here: Instuction on System Status

Requires: 3.6 or higher
Compatible up to: 4.1.1
Last Updated: 2015-3-27
Active Installs: 1,000+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.